# Uses of Interface
java.lang.classfile.BootstrapMethodEntry

Packages that use BootstrapMethodEntry
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

## Uses of BootstrapMethodEntry in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return types with arguments of type BootstrapMethodEntry
Modifier and Type
Method
Description
`List<BootstrapMethodEntry>`
BootstrapMethodsAttribute.`bootstrapMethods()`
Returns the elements of the bootstrap method table.

## Uses of BootstrapMethodEntry in java.lang.classfile.constantpool

Methods in java.lang.classfile.constantpool that return BootstrapMethodEntry
Modifier and Type
Method
Description
`BootstrapMethodEntry`
DynamicConstantPoolEntry.`bootstrap()`
Returns the entry in the bootstrap method table for this constant.
`BootstrapMethodEntry`
ConstantPool.`bootstrapMethodEntry(int index)`
Returns the `BootstrapMethodEntry` at the specified index within the bootstrap method table.
`BootstrapMethodEntry`
ConstantPoolBuilder.`bsmEntry(MethodHandleEntry methodReference, List<LoadableConstantEntry> arguments)`
Returns a `BootstrapMethodEntry` referring to a `MethodHandleEntry` and a list of `LoadableConstantEntry`.
`default BootstrapMethodEntry`
ConstantPoolBuilder.`bsmEntry(DirectMethodHandleDesc methodReference, List<ConstantDesc> arguments)`
Returns a `BootstrapMethodEntry` describing the provided bootstrap method and arguments.
Methods in java.lang.classfile.constantpool with parameters of type BootstrapMethodEntry
Modifier and Type
Method
Description
`ConstantDynamicEntry`
ConstantPoolBuilder.`constantDynamicEntry(BootstrapMethodEntry bootstrapMethodEntry, NameAndTypeEntry nameAndType)`
Returns a `ConstantDynamicEntry` referring to a `BootstrapMethodEntry` and a `NameAndTypeEntry`.
`InvokeDynamicEntry`
ConstantPoolBuilder.`invokeDynamicEntry(BootstrapMethodEntry bootstrapMethodEntry, NameAndTypeEntry nameAndType)`
Returns an `InvokeDynamicEntry` referring to a `BootstrapMethodEntry` and a `NameAndTypeEntry`.